Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006300OCamlOCamlbuild (the tool)public2014-01-20 23:142014-08-19 13:31
Reporternbb 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS XOS Version10.9
Product Version 
Target Versionafter-4.02.0Fixed in Version4.02.0+dev 
Summary0006300: ocamlbuild -use-ocamlfind does not work together with -ocamlc switch
Descriptionit appears to be impossible to specify for example ocamlcp as the bytecode compiler when also ocamlfind is used
Steps To Reproducecat "let _ = 3" > test.ml
ocamlbuild -ocamlc ocamlcp test.byte # succeeds
ocamlbuild -use-ocamlfind -ocamlc ocamlcp test.byte
# compiles silently with ocamlc instead of ocamlcp
Additional Informationin the trivial test, findlib is not needed, but in the real example it was.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012021)
gasche (developer)
2014-08-19 13:31

Fixed in 4.02@15114.

"ocamlbuild -use-ocamlfind -ocamlc FOO" now invokes "ocamlfind FOO" instead of "ocamlfind ocamlc" -- similarly for all -ocamlfoo flags that correspond to ocamlfind subcommands.

There is a subtlety in the timing of when various options are taken into accounts to set these things -- read the commit message for more details. The take-away is that *if* you want to set use_ocamlfind through the myocamlbuild.ml rather than through the command-line, you should do this at the Before_options dispatch time rather than later. This means that users may be able to override this setting using -no-ocamlfind (the plugin cannot override the command-line option if it's passed), but I don't think that is problematic.

- Issue History
Date Modified Username Field Change
2014-01-20 23:14 nbb New Issue
2014-07-16 13:45 doligez Status new => acknowledged
2014-07-16 13:45 doligez Target Version => after-4.02.0
2014-08-19 13:31 gasche Note Added: 0012021
2014-08-19 13:31 gasche Status acknowledged => resolved
2014-08-19 13:31 gasche Fixed in Version => 4.02.0+dev
2014-08-19 13:31 gasche Resolution open => fixed
2014-08-19 13:31 gasche Assigned To => gasche


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker